=== debian/changelog ===
gnome-format (0.1.1-0ubuntu12) oneiric; urgency=low

  * Update watch file.
  * Bump Standards-Version to 3.9.2.

 -- Ilya Barygin <barygin@gmail.com>  Sat, 24 Sep 2011 15:35:53 +0400

gnome-format (0.1.1-0ubuntu11) oneiric; urgency=low

  * Add debian/patches/08_compile_with_vala_0.12.patch:
    - Fix FTBFS with newer Vala (LP: #749060)
    - Make GnomeFormat.StorageError public
    - Don't use deprecated syntax for connecting to gobject signals
    - Ensure the on_window_delete_event prototype matches that of the
      delete_event prototype in the gtk vapi
  * update debian/control to build-depend on valac-0.12 for now:
    - valac-0.14 is currently crashing whilst building this

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 13 Sep 2011 10:42:37 +0100

gnome-format (0.1.1-0ubuntu10) lucid; urgency=low

  * Build against parted 2.2.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Mar 2010 01:06:42 +0000

gnome-format (0.1.1-0ubuntu9) lucid; urgency=low

  * Switch to debian 3.0 (quilt) format.
  * Switch to debhelper 7.
  * Refresh and convert all patches to quilt format.
  * Drop dpatch support.
  * debian/patches/06-launch_with_gksu.patch: Uses su-to-root instead of
    gksu.
  * debian/control:
    - Bump Standards.
    - Depends on menu.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 01 Mar 2010 01:21:33 +0100

gnome-format (0.1.1-0ubuntu8) lucid; urgency=low

  * Use internal copy of waf, updated to 1.5.13 to allow build.
  * debian/patches/03-add_parted_vapi.dpatch:
    - Fix compatibility with new vala.
  
 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 27 Feb 2010 15:07:10 +0100

gnome-format (0.1.1-0ubuntu7) karmic; urgency=low

  * debian/patches/06-launch_with_gksu.dpatch:
    - Launch gnome-format with gksu (LP: #437656).

 -- Chris Coulson <chrisccoulson@ubuntu.com>  Sun, 27 Sep 2009 15:35:30 +0100

gnome-format (0.1.1-0ubuntu6) karmic; urgency=low

  * Rebuild for libparted1.8-10 -> 12 transition.
  * debian/control: 
    - Add missing comma to build-depends (LP: #392205).
    - Add build-depend on waf.
  * debian/patches/02-compile_with_latest_vala_fix_from_git.dpatch:
    - Backport fix from GIT to fix FTBFS with latest vala.
  * debian/patches/03-add_parted_vapi, 
    debian/patches/04-remove_old_vapi.dpatch:
    - Backport patches from GIT to add vapi/parted.vapi and remove old
      vapi from src/wscript_build, needed for above patch.
  * debian/patches/05-fix_use_of_uninitialized_variable.dpatch:
    - Fix use of possibly unassigned local variable `storage_provider',
      causing FTBFS with latest vala.
  * debian/rules:
    - Use system /usr/bin/waf to build source rather than the version
      in the source package. It fails to build with the shipped version.

 -- Chris Coulson <chrisccoulson@ubuntu.com>  Mon, 14 Sep 2009 00:22:18 +0100

gnome-format (0.1.1-0ubuntu5) jaunty; urgency=low

  * No-change rebuild to fix lpia shared library dependencies.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Mar 2009 13:23:23 +0000

gnome-format (0.1.1-0ubuntu4) jaunty; urgency=low

  * Add dpatch support.
  * Add Swedish translations.
  * Add debian/patches/01-fix_app_version_011 to fix application current version
    number (LP: #339930).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 15 Mar 2009 11:41:11 +0100

gnome-format (0.1.1-0ubuntu3) jaunty; urgency=low

  * Add Czech and Spanish translations, taken from upstream SVN.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 23 Feb 2009 23:24:32 +0100

gnome-format (0.1.1-0ubuntu2) jaunty; urgency=low

  * Add italian translation, provided by Milo Casagrande.
  * Install german and italian translations.
  * Use waf to install everything instead of dh_install.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 19 Feb 2009 20:41:35 +0100

gnome-format (0.1.1-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #316908).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 01 Feb 2009 10:10:51 +0100
