=== debian/control ===
Source: gnome-format
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 libglib2.0-dev (>= 2.10.0),
 libgtk2.0-dev (>= 2.10.0),
 libdbus-glib-1-dev,
 libgee-dev,
 libglade2-dev,
 libparted0-dev (>= 2.2),
 intltool,
 valac-0.12 (>= 0.5.1),
 gnome-doc-utils,
 docbook-utils,
 sharutils
Standards-Version: 3.9.2
Homepage: http://live.gnome.org/gnome-format

Package: gnome-format
Architecture: any
Depends: ${shlibs:Depends},
 menu,
 ${misc:Depends}
Description: tool for formatting external memory media
 gnome-format is a tool to easily format (erase and initialize) external
 memory media like USB sticks or SD/MMC flash cards for your PC. It is
 designed for Linux based operating systems, like Ubuntu, and for the GNOME
 desktop.
 .
 Features:
  - Easy to use.
  - Autodetects available media through HAL.
  - Supports external harddrives, USB sticks, SD/MMC cards and other external
    media
  - Supports FAT16/32 filesystem for compatibility with other operating
    systems and ext2 for Linux-only users.
