=== debian/watch ===
version=3
http://live.gnome.org/action/AttachFile/gnome-format/Download?action=AttachFile \
.*gnome-format-([\d.]*)\.tar\.bz2
